NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Tooling.BendInsertDesignBuilder Class Reference

Represents a NXOpen.Tooling.BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend . More...

Inheritance diagram for NXOpen.Tooling.BendInsertDesignBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BendingDirectionOption { Up, Down }
 the bending direction. More...
 
enum  BendTypeOption {
  Sbend, Abend, Zbend, Vbend,
  Uzbend
}
 the bend type. More...
 
enum  BlankPositions { PunchPlate, StripperPlate }
 Specifies the blank position. More...
 
enum  InsertTypeOption { Punch, Die }
 the insert type. More...
 
enum  ParentOption { Sub }
 the parent node. More...
 
enum  Types { Standard, UserDefined, Delete }
 the bending operation. More...
 

Public Member Functions

unsafe void AddInsertComponent ()
 Add the new bend insert component More...
 
unsafe void SetFaces (NXOpen.Face[] faceOccs)
 Sets the face occurrences into builder attribute. More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.ScCollector BendFace [get]
 Returns the bend face. More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.BendingDirectionOption 
BendingDirection [get, set]
 Returns or sets the bending direction. More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.BendTypeOption 
BendType [get, set]
 Returns or sets the bend type. More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.BlankPositions 
BlankPosition [get, set]
 Returns or sets the blank position in punch plate or stripper plate. More...
 
unsafe double BottomPlateClearance [get, set]
 Returns or sets the clearance value of bottom backing plate. More...
 
unsafe bool CompositeInsert [get, set]
 Returns or sets the composite insert. More...
 
unsafe bool ConceptDesign [get, set]
 Returns or sets the concept design option. More...
 
unsafe double DiePlateClearance [get, set]
 Returns or sets the clearance value of die plate. More...
 
unsafe NXOpen.Expression Extend [get]
 Returns the extend. More...
 
unsafe NXOpen.Expression ExtrudeEnd [get]
 Returns the extrude end, A half when composite insert. More...
 
unsafe NXOpen.Expression ExtrudeEnd1 [get]
 Returns the extrude end B -half. More...
 
unsafe NXOpen.Section ExtrudeSketch [get]
 Returns the extrude sketch. More...
 
unsafe NXOpen.Expression ExtrudeStart [get]
 Returns the extrude start, A half when composite insert. More...
 
unsafe NXOpen.Expression ExtrudeStart1 [get]
 Returns the extrude start - B half. More...
 
unsafe bool FalseBody [get, set]
 Returns or sets the false body creation option. More...
 
unsafe bool FlipTrimDirection [get, set]
 Returns or sets the flip trim feature direction of insert. More...
 
unsafe
NXOpen.Assemblies.SelectComponentList 
InsertComponent [get]
 Returns the select insert to delete More...
 
unsafe
NXOpen.Assemblies.SelectComponentList 
InsertToEdit [get]
 Returns the select insert to edit More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.InsertTypeOption 
InsertType [get, set]
 Returns or sets the insert type. More...
 
unsafe NXOpen.Plane IntersectPlane [get, set]
 Returns or sets the intersect plane. More...
 
unsafe bool IsAutoDatum [get, set]
 Returns or sets the auto datum plane More...
 
unsafe string NewPartName [get, set]
 Returns or sets the new component name. More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.ParentOption 
ParentNode [get, set]
 Returns or sets the parent node. More...
 
unsafe string ParentPartName [get, set]
 Returns or sets the parent part name to create insert. More...
 
unsafe double PunchPlateClearance [get, set]
 Returns or sets the clearance value of punch plate. More...
 
unsafe bool ReName [get, set]
 Returns or sets the rename option. More...
 
unsafe double StripperPlateClearance [get, set]
 Returns or sets the clearance value of stripper plate. More...
 
unsafe
NXOpen.Tooling.BendInsertDesignBuilder.Types 
Type [get, set]
 Returns or sets the operation type of bending insert design. More...
 
unsafe bool UseBottomPlateClearance [get, set]
 Returns or sets the option to use bottom backing plate clearance. More...
 
unsafe bool UseDiePlateClearance [get, set]
 Returns or sets the option to use die plate clearance. More...
 
unsafe bool UsePunchPlateClearance [get, set]
 Returns or sets the option to use punch plate clearance. More...
 
unsafe bool UseStripperPlateClearance [get, set]
 Returns or sets the option to use stripper plate clearance. More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Tooling.BendInsertDesignBuilder Bend Insert Design is to create inset puch or die for bend .

To create a new instance of this class, use NXOpen.Tooling.BendInsertDesignCollection.CreateBendInsertDesignBuilder

Default values.

Property Value

BendType

Sbend

BendingDirection

Down

BlankPosition

PunchPlate

BottomPlateClearance

0

CompositeInsert

0

ConceptDesign

0

DiePlateClearance

0

Extend.Value

5 (millimeters part), 1 (inches part)

ExtrudeEnd.Value

5 (millimeters part), 1 (inches part)

ExtrudeStart.Value

0 (millimeters part), 0 (inches part)

FalseBody

0

InsertType

Punch

ParentNode

Sub

PunchPlateClearance

0

ReName

0

StripperPlateClearance

0

Type

Standard

UseBottomPlateClearance

0

UseDiePlateClearance

0

UsePunchPlateClearance

0

UseStripperPlateClearance

0

Created in NX8.0.0

Member Enumeration Documentation

the bending direction.

Enumerator
Up 

bending up

Down 

bending down

the bend type.

Enumerator
Sbend 

90 degree bend

Abend 

angle bend

Zbend 

z bend

Vbend 

v bend

Uzbend 

universal z bend

Specifies the blank position.

Enumerator
PunchPlate 

the blank is on the punch plate

StripperPlate 

the blank is on the stripper plate

the insert type.

Enumerator
Punch 

punch insert

Die 

die insert

the parent node.

Enumerator
Sub 

sub parent

the bending operation.

Enumerator
Standard 

standard insert

UserDefined 

user defined

Delete 

delete

Member Function Documentation

unsafe void NXOpen.Tooling.BendInsertDesignBuilder.AddInsertComponent ( )
inline

Add the new bend insert component

Created in NX8.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe void NXOpen.Tooling.BendInsertDesignBuilder.SetFaces ( NXOpen.Face[]  faceOccs)
inline

Sets the face occurrences into builder attribute.

Created in NX8.0.0

License requirements: prog_die_wizard ("UG/Progressive Die Wizard")

Parameters
faceOccsarray of face occurrences

Property Documentation

unsafe NXOpen.ScCollector NXOpen.Tooling.BendInsertDesignBuilder.BendFace
get

Returns the bend face.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.BendInsertDesignBuilder.BendingDirectionOption NXOpen.Tooling.BendInsertDesignBuilder.BendingDirection
getset

Returns or sets the bending direction.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendInsertDesignBuilder.BendTypeOption NXOpen.Tooling.BendInsertDesignBuilder.BendType
getset

Returns or sets the bend type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendInsertDesignBuilder.BlankPositions NXOpen.Tooling.BendInsertDesignBuilder.BlankPosition
getset

Returns or sets the blank position in punch plate or stripper plate.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendInsertDesignBuilder.BottomPlateClearance
getset

Returns or sets the clearance value of bottom backing plate.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.CompositeInsert
getset

Returns or sets the composite insert.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.ConceptDesign
getset

Returns or sets the concept design option.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendInsertDesignBuilder.DiePlateClearance
getset

Returns or sets the clearance value of die plate.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Expression NXOpen.Tooling.BendInsertDesignBuilder.Extend
get

Returns the extend.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.BendInsertDesignBuilder.ExtrudeEnd
get

Returns the extrude end, A half when composite insert.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.BendInsertDesignBuilder.ExtrudeEnd1
get

Returns the extrude end B -half.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Tooling.BendInsertDesignBuilder.ExtrudeSketch
get

Returns the extrude sketch.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.BendInsertDesignBuilder.ExtrudeStart
get

Returns the extrude start, A half when composite insert.

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Tooling.BendInsertDesignBuilder.ExtrudeStart1
get

Returns the extrude start - B half.

Created in NX8.0.0

License requirements: None.

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.FalseBody
getset

Returns or sets the false body creation option.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.FlipTrimDirection
getset

Returns or sets the flip trim feature direction of insert.

Created in NX9.0.1

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Assemblies.SelectComponentList NXOpen.Tooling.BendInsertDesignBuilder.InsertComponent
get

Returns the select insert to delete

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Assemblies.SelectComponentList NXOpen.Tooling.BendInsertDesignBuilder.InsertToEdit
get

Returns the select insert to edit

Created in NX8.0.0

License requirements: None.

unsafe NXOpen.Tooling.BendInsertDesignBuilder.InsertTypeOption NXOpen.Tooling.BendInsertDesignBuilder.InsertType
getset

Returns or sets the insert type.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Plane NXOpen.Tooling.BendInsertDesignBuilder.IntersectPlane
getset

Returns or sets the intersect plane.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.IsAutoDatum
getset

Returns or sets the auto datum plane

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.BendInsertDesignBuilder.NewPartName
getset

Returns or sets the new component name.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendInsertDesignBuilder.ParentOption NXOpen.Tooling.BendInsertDesignBuilder.ParentNode
getset

Returns or sets the parent node.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe string NXOpen.Tooling.BendInsertDesignBuilder.ParentPartName
getset

Returns or sets the parent part name to create insert.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendInsertDesignBuilder.PunchPlateClearance
getset

Returns or sets the clearance value of punch plate.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.ReName
getset

Returns or sets the rename option.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe double NXOpen.Tooling.BendInsertDesignBuilder.StripperPlateClearance
getset

Returns or sets the clearance value of stripper plate.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe NXOpen.Tooling.BendInsertDesignBuilder.Types NXOpen.Tooling.BendInsertDesignBuilder.Type
getset

Returns or sets the operation type of bending insert design.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.UseBottomPlateClearance
getset

Returns or sets the option to use bottom backing plate clearance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.UseDiePlateClearance
getset

Returns or sets the option to use die plate clearance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.UsePunchPlateClearance
getset

Returns or sets the option to use punch plate clearance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")

unsafe bool NXOpen.Tooling.BendInsertDesignBuilder.UseStripperPlateClearance
getset

Returns or sets the option to use stripper plate clearance.

Created in NX8.0.0

License requirements to get this property: None.

License requirements to set this property: prog_die_wizard ("UG/Progressive Die Wizard")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.